Update a price point
curl --request POST \
--url https://billing.funnelfox.com/{org_id}/v1/pp/update \
--header 'Content-Type: application/json' \
--header 'ff-secret-key: <api-key>' \
--data '
{
"origin_ident": "<string>",
"ident": "<string>",
"currency_code": "<string>",
"lifetime_price": 123,
"intro_free_trial_period": 123,
"intro_paid_trial_price": 123,
"intro_paid_trial_period": 123,
"next_price": 123,
"next_period": 123,
"descriptor": "<string>",
"features": "<string>"
}
'import requests
url = "https://billing.funnelfox.com/{org_id}/v1/pp/update"
payload = {
"origin_ident": "<string>",
"ident": "<string>",
"currency_code": "<string>",
"lifetime_price": 123,
"intro_free_trial_period": 123,
"intro_paid_trial_price": 123,
"intro_paid_trial_period": 123,
"next_price": 123,
"next_period": 123,
"descriptor": "<string>",
"features": "<string>"
}
headers = {
"ff-secret-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'ff-secret-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
origin_ident: '<string>',
ident: '<string>',
currency_code: '<string>',
lifetime_price: 123,
intro_free_trial_period: 123,
intro_paid_trial_price: 123,
intro_paid_trial_period: 123,
next_price: 123,
next_period: 123,
descriptor: '<string>',
features: '<string>'
})
};
fetch('https://billing.funnelfox.com/{org_id}/v1/pp/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}PricePoints
Update a price point
Modify an existing Price Point’s details by its identifier.
POST
/
pp
/
update
Update a price point
Authorizations
Secret key for FunnelFox Billing API. Required for all requests.
Path Parameters
Organization ID
Body
application/json
Available options:
no_intro, free_trial, paid_trial Available options:
minutes, days, weeks, months, years Available options:
minutes, days, weeks, months, years Available options:
minutes, days, weeks, months, years Response
200 - application/json
The response is of type Ok200 · object.
Was this page helpful?
⌘I
